
import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:router/path/router_path.dart';

import '../modules/labour_request_add/labour_request_add_page.dart';
import '../modules/labour_request_list/labour_request_list_page.dart';
import '../modules/labour_request_workflow/labour_request_workflow_page.dart';

class LabourPageRouter {

  static final routes = [

    //用工请求列表
    GetPage(
      name: RouterPath.jobLabourRequestList,
      page: () => LabourRequestListPage(),
    ),

    //用工请求添加
    GetPage(
      name: RouterPath.jobLabourRequestAdd,
      page: () => LabourRequestAddPage(),
    ),

    //用工请求状态修改工作流
    GetPage(
      name: RouterPath.jobLabourRequestWorkflow,
      page: () => LabourRequestWorkflowPage(),
    ),

  ];
}
